IRPCSearch.CreateSummarization

View as Markdown

Vault API / core write session or assertion idempotent returns metadata structure version

Creates an Aino summary for the M-Files clients.

ServiceSearch MFiles.IRPCSearch
gRPC method/MFiles.IRPCSearch/CreateSummarization
HTTP (mf-http-grpc)POST /grpc/v1/create-summarization
RequestCreateSummarizationRequest
ResponseCreateSummarizationResponse
Book and levelVault API, core
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentyes
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

The request and response are text documents in a format internal to the M-Files clients. The call fails with "Your current subscription does not include the specified feature." when Aino summarization is not available for the vault.

Request: CreateSummarizationRequest

CreateSummarizationRequest method structure.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
datastringThe request in JSON.

Response: CreateSummarizationResponse

CreateSummarizationResponse method structure.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
datastringThe response in JSON.